csTraceBeamResult Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
csTraceBeamResult Struct Reference

Return structure for the csColliderHelper::TraceBeam() method. More...

`#include <cstool/collider.h>`

List of all members.

## Public Attributes
csVector3 | closest_isect
| closest_isect will be set to the closest intersection point (in world space).
iMeshWrapper * | closest_mesh
| closest_mesh will be set to the closest mesh that is hit.
csIntersectingTriangle | closest_tri
| Closest triangle from the model.
iSector * | end_sector
| Sector in which the collision occured.
float | sqdistance
| The squared distance between 'start' and the closest hit or else a negative number if there was no hit.

## Detailed Description

Return structure for the csColliderHelper::TraceBeam() method.

Definition at line 168 of file collider.h.

## Member Data Documentation

csVector3 csTraceBeamResult::closest_isect

closest_isect will be set to the closest intersection point (in world space).

Definition at line 180 of file collider.h.

iMeshWrapper* csTraceBeamResult::closest_mesh

closest_mesh will be set to the closest mesh that is hit.

Definition at line 184 of file collider.h.

csIntersectingTriangle csTraceBeamResult::closest_tri

Closest triangle from the model.

closest_tri will be set to the closest triangle that is hit. The triangle will be specified in world space.

Definition at line 175 of file collider.h.

iSector* csTraceBeamResult::end_sector

Sector in which the collision occured.

Definition at line 193 of file collider.h.

float csTraceBeamResult::sqdistance

The squared distance between 'start' and the closest hit or else a negative number if there was no hit.

Definition at line 189 of file collider.h.

The documentation for this struct was generated from the following file:

- cstool/collider.h